using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATDocumentCabinetFiledType")]
public partial class AtdocumentCabinetFiledType
{
    [Key]
    public int Id { get; set; }

    [StringLength(255)]
    public string Name { get; set; } = null!;

    [InverseProperty("FieldDataTypeNavigation")]
    public virtual ICollection<AtdocumentCabinetDef> AtdocumentCabinetDefs { get; set; } = new List<AtdocumentCabinetDef>();
}
